[arch-commits] Commit in texlive-music/trunk (PKGBUILD texlive.install)

François Charette francois at archlinux.org
Sat Jun 26 10:43:20 EDT 2010


    Date: Saturday, June 26, 2010 @ 10:43:19
  Author: francois
Revision: 84112

prerelease of texlive 2010

Modified:
  texlive-music/trunk/PKGBUILD
  texlive-music/trunk/texlive.install

-----------------+
 PKGBUILD        |   26 ++++++++++++++------------
 texlive.install |   18 +++++++++++-------
 2 files changed, 25 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-26 14:43:13 UTC (rev 84111)
+++ PKGBUILD	2010-06-26 14:43:19 UTC (rev 84112)
@@ -1,8 +1,8 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-music
-pkgver=2009.15878
-pkgrel=2
+pkgver=2010.18434
+pkgrel=1
 pkgdesc="TeX Live - Music typesetting packages"
 license=('GPL')
 arch=(any)
@@ -11,23 +11,25 @@
 url='http://tug.org/texlive/'
 source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
 options=('!emptydirs')
+options=(!strip)
 install=texlive.install
-md5sums=('ad1fba3200889abe1af6a87386421fbe'
+md5sums=('e3d8e54281e2c4aec14952517d1ee252'
          '6af96d016e18492867d6f4ba2eff0a31')
 
 build() {
-   cd $srcdir
-   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
-   sed -i '/^#/d' CONTENTS || return 1
-   _revnr=`echo $pkgver | sed 's/2009\.//'`
-   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
-   install -m644 $pkgname.maps $pkgdir/usr/share/texmf-var/arch/installedpkgs/ || return 1
-   for p in *.tar.xz; do 
+   for p in *.tar.xz; do
 	   bsdtar -xf $p || return 1
    done
-   rm -rf {tlpkg,doc,source}
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2010\.//'`
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/ || return 1
    install -m755 -d $pkgdir/usr/share || return 1
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done)
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
    for dir in $wanteddirs; do
      find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
      find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \; || return 1

Modified: texlive.install
===================================================================
--- texlive.install	2010-06-26 14:43:13 UTC (rev 84111)
+++ texlive.install	2010-06-26 14:43:19 UTC (rev 84112)
@@ -1,5 +1,5 @@
 PKGNAME="texlive-music"
-UPDMAP="/usr/share/texmf-config/web2c/updmap.cfg"
+UPDMAP="/etc/texmf/web2c/updmap.cfg"
 SYNCWITHTREES=''
 NEWMAPS=`mktemp`
 cat <<EOF > $NEWMAPS
@@ -12,15 +12,19 @@
 
 post_install() {
 	echo    ">>> texlive: updating the filename database..."
-	texconfig-sys rehash
+	/usr/bin/mktexlsr
 	echo    ">>> texlive: updating the fontmap files with updmap..."
-	updmap-sys --quiet --nohash
+	/usr/bin/updmap-sys --quiet --nohash
 	echo    " done." 
 }
 
 
 pre_upgrade() {
-  OLDMAPS="/usr/share/texmf-var/arch/installedpkgs/$PKGNAME.maps"
+  if [[ "$2" == 200* ]]; then
+    OLDMAPS="/usr/share/texmf-var/arch/installedpkgs/$PKGNAME.maps"
+  else # >= 2010
+    OLDMAPS="/var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+  fi
   if [ -f $OLDMAPS ] ; then
     MAPSDIFF=`mktemp`
     TOADD=`mktemp`
@@ -36,7 +40,7 @@
        cat $TOADD >> $UPDMAP
     fi
   else
-    echo "Warning: file $PKGNAME.maps not found" 
+    echo "Warning: file $OLDMAPS not found" 
     echo "(ignore the above if updating from TL2008 or from TL2009 in testing)"
     SYNCWITHTREES="--syncwithtrees"
   fi
@@ -45,9 +49,9 @@
 
 post_upgrade() {
 	echo    ">>> texlive: updating the filename database..."
-	texconfig-sys rehash
+	/usr/bin/mktexlsr
 	echo    ">>> texlive: updating the fontmap files with updmap..."
-	updmap-sys --quiet --nohash $SYNCWITHTREES
+	/usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
 	echo    " done." 
 }
 



More information about the arch-commits mailing list